/*
    wav_file.h - taken from wav-tools 1.1
    Copyright (C) by Colin Ligertwood

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    
    Changes:
    
    11 March 1999: Alexander Knig
    -added license hint
    -slight changes for use with terminatorX
*/

#ifndef _H_WAVFILE
#define _H_WAVFILE

typedef struct{
	long	srate;
	short	chans;
	short	depth;
	long	bps;
	short	blkalign;
	long	len;
	long	sofar;
	int     handle;
	char	name[31];
	char    head[43];
} wav_sig;

extern int init_wav_read(char file_name[], wav_sig *info);
extern int open_wav_rec(wav_sig *info);
extern int rewrite_head(wav_sig *info);

#endif
